compat-db47-4.7.25-28.el7.i686.rpm


Advertisement

Description

compat-db47 - The Berkeley DB database 4.7.25 compatibility library

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name compat-db47
Package version 4.7.25
Package release 28.el7
Package architecture i686
Package type rpm
Installed size 3.38 MB
Download size 811.50 KB
Official Mirror mirror.centos.org
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This package contains Berkeley DB library version 4.7.25 used for compatibility.

Alternatives

Package Version Architecture Repository
compat-db47-4.7.25-28.el7.x86_64.rpm 4.7.25 x86_64 CentOS
compat-db47 - - -

Requires

Name Value
compat-db-headers = 4.7.25-28.el7
libc.so.6(GLIBC_2.17) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rtld(GNU_HASH) -

Provides

Name Value
compat-db47 = 4.7.25-28.el7
compat-db47(x86-32) = 4.7.25-28.el7
libdb-4.7.so -
libdb_cxx-4.7.so -

Obsoletes

Name Value
compat-db < 4.6.21-5
db1 -
db1-devel -
db2 -
db2-devel -
db2-utils -
db3 -
db3-devel -
db3-utils -
db31 -
db32 -
db3x -
db4 < 4.7
db4-devel < 4.7
db4-java < 4.7
db4-tcl < 4.7
db4-utils < 4.7

Download

Type URL
Binary Package compat-db47-4.7.25-28.el7.i686.rpm
Source Package compat-db-4.7.25-28.el7.src.rpm

Install Howto

Install compat-db47 rpm package:

# yum install compat-db47

Files

Path
/usr/bin/berkeley_db47_svc
/usr/bin/db47_archive
/usr/bin/db47_checkpoint
/usr/bin/db47_codegen
/usr/bin/db47_deadlock
/usr/bin/db47_dump
/usr/bin/db47_hotbackup
/usr/bin/db47_load
/usr/bin/db47_printlog
/usr/bin/db47_recover
/usr/bin/db47_stat
/usr/bin/db47_upgrade
/usr/bin/db47_verify
/usr/lib/libdb-4.7.so
/usr/lib/libdb_cxx-4.7.so
/usr/lib/db4.7.25/libdb.so
/usr/lib/db4.7.25/libdb_cxx.so
/usr/share/doc/compat-db47-4.7.25/
/usr/share/doc/compat-db47-4.7.25/db-4.7.25/LICENSE
/usr/share/doc/compat-db47-4.7.25/db-4.7.25/README

Changelog

2014-08-19 - Jan Stanek <jstanek@redhat.com> - 4.7.25-28
- Sanity patch for cppcheck detected defects
2014-01-24 - Daniel Mach <dmach@redhat.com> - 4.7.25-27
- Mass rebuild 2014-01-24
2013-12-27 - Daniel Mach <dmach@redhat.com> - 4.7.25-26
- Mass rebuild 2013-12-27
2013-11-05 - Jan Stanek <jstanek@redhat.com> - 4.7.25-25
- Fixing forgotten dangling symlinks.
2013-11-05 - Jan Stanek <jstanek@redhat.com> - 4.7.25-24
- Moved libraries from /lib to /usr/lib based on rpmdiff testing.
2013-11-05 - Jan Stanek <jstanek@redhat.com> - 4.7.25-23
- Updated the config files for aarch64 architecture (#1023784)
2013-07-25 - Jan Stanek <jstanek@redhat.com> - 4.7.25-22
- Removed older versions of compat-db (4.5.x, 4.6.x) (#985125)
- Cleaned the specfile
2012-07-18 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.25-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-01-12 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.25-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
2011-02-08 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.25-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

See Also

Package Description
compat-gcc-44-4.4.7-8.el7.x86_64.rpm Compatibility GNU Compiler Collection
compat-gcc-44-c++-4.4.7-8.el7.x86_64.rpm C++ support for compatibility compiler
compat-gcc-44-gfortran-4.4.7-8.el7.x86_64.rpm Fortran support for compatibility compiler
compat-glade315-3.15.0-1.el7.i686.rpm Compat package with glade 3.15 libraries
compat-glade315-3.15.0-1.el7.x86_64.rpm Compat package with glade 3.15 libraries
compat-glew-1.9.0-7.el7.i686.rpm The OpenGL Extension Wrangler Library
compat-glew-1.9.0-7.el7.x86_64.rpm The OpenGL Extension Wrangler Library
compat-glibc-2.12-4.el7.centos.x86_64.rpm Compatibility C library
compat-glibc-headers-2.12-4.el7.centos.x86_64.rpm Header files for development using standard C libraries
compat-gnome-desktop314-3.14.2-1.el7.i686.rpm Compat package with gnome-desktop 3.14 libraries
compat-gnome-desktop314-3.14.2-1.el7.x86_64.rpm Compat package with gnome-desktop 3.14 libraries
compat-grilo02-0.2.12-1.el7.i686.rpm Compat package with grilo 0.2 libraries
compat-grilo02-0.2.12-1.el7.x86_64.rpm Compat package with grilo 0.2 libraries
compat-libcap1-1.10-7.el7.i686.rpm Library for getting and setting POSIX.1e capabilities
compat-libcap1-1.10-7.el7.x86_64.rpm Library for getting and setting POSIX.1e capabilities
Advertisement
Advertisement